import { Emitter } from "./EventBus";
import { StoreEventsMap } from "./StoreEventsMap";
export declare type EventKey = keyof StoreEventsMap | string;
export declare class StoreEventBus {
    protected bus: Emitter<StoreEventsMap>;
    /**
     * Dispatch an event to the main event bus
     */
    $dispatch(type: EventKey, evt?: StoreEventsMap[EventKey]): void;
    getAllEvents(): any[];
    hasEventHandler(type: EventKey): boolean;
    removeAllListeners(): void;
    /**
     * By default, when an event is used in a component, and the component is unmounted, the event listener will be removed.
     * You can set detached to true to disable this.
     */
    $on(type: EventKey, handler: (event: StoreEventsMap[EventKey]) => void, detached?: boolean): () => void;
    $off(type: EventKey, handler: (event: StoreEventsMap[EventKey]) => void): void;
}
