import { StoreEventBus } from "./StoreEventBus";
import { StoreEventsMap } from "./StoreEventsMap";
declare type EventKey = keyof StoreEventsMap | string;
export declare class StoreManagerEventBus extends StoreEventBus {
    /**
     * Dispatch an event to the main event bus
     * **Note:** This will not dispatch to the stores, for that, use {@see $dispatchToAllStores}
     */
    $dispatch(type: EventKey, evt?: StoreEventsMap[EventKey]): void;
    /**
     * Dispatch an event to the main event bus and all stores
     */
    $dispatchToAllStores(type: EventKey, event?: StoreEventsMap[EventKey]): void;
}
export {};
