import type { StoreMetaActionDecorator } from "./StoreMetaActionData";
import type { StoreMetaActionData } from "./StoreMetaActionData";
export declare class MetaList<IType, T = {
    [key: string]: IType;
}> {
    private _items;
    private _keys;
    private _values;
    private _entries;
    constructor(items: T);
    has(key: string): boolean;
    get(key: string): IType;
    set(key: string, value: IType): IType;
    get items(): T;
    keys(): string[];
    values(): IType[];
    entries(): [string, IType][];
    map<TCallback extends (value: IType, key: string) => any>(callback: TCallback): ReturnType<TCallback>[];
    filter<TCallback extends (value: IType, key: string) => boolean>(callback: TCallback): IType[];
    each<TCallback extends (value: IType, key: string) => any>(callback: TCallback): void;
    [Symbol.iterator](): IterableIterator<[string, IType]>;
    isEmpty(): boolean;
}
export declare class MetaActionList extends MetaList<StoreMetaActionData> {
    #private;
    lifeCycleHandlers(): {
        toString: StoreMetaActionData;
        charAt: StoreMetaActionData;
        charCodeAt: StoreMetaActionData;
        concat: StoreMetaActionData;
        indexOf: StoreMetaActionData;
        lastIndexOf: StoreMetaActionData;
        localeCompare: StoreMetaActionData;
        match: StoreMetaActionData;
        replace: StoreMetaActionData;
        search: StoreMetaActionData;
        slice: StoreMetaActionData;
        split: StoreMetaActionData;
        substring: StoreMetaActionData;
        toLowerCase: StoreMetaActionData;
        toLocaleLowerCase: StoreMetaActionData;
        toUpperCase: StoreMetaActionData;
        toLocaleUpperCase: StoreMetaActionData;
        trim: StoreMetaActionData;
        readonly length: StoreMetaActionData;
        substr: StoreMetaActionData;
        valueOf: StoreMetaActionData;
        codePointAt: StoreMetaActionData;
        includes: StoreMetaActionData;
        endsWith: StoreMetaActionData;
        normalize: StoreMetaActionData;
        repeat: StoreMetaActionData;
        startsWith: StoreMetaActionData;
        anchor: StoreMetaActionData;
        big: StoreMetaActionData;
        blink: StoreMetaActionData;
        bold: StoreMetaActionData;
        fixed: StoreMetaActionData;
        fontcolor: StoreMetaActionData;
        fontsize: StoreMetaActionData;
        italics: StoreMetaActionData;
        link: StoreMetaActionData;
        small: StoreMetaActionData;
        strike: StoreMetaActionData;
        sub: StoreMetaActionData;
        sup: StoreMetaActionData;
        padStart: StoreMetaActionData;
        padEnd: StoreMetaActionData;
        trimEnd: StoreMetaActionData;
        trimStart: StoreMetaActionData;
        trimLeft: StoreMetaActionData;
        trimRight: StoreMetaActionData;
        matchAll: StoreMetaActionData;
        replaceAll: StoreMetaActionData;
        at: StoreMetaActionData;
    };
}
export declare class MetaDecoratorList extends MetaList<StoreMetaActionDecorator> {
    hasDecorator(name: string): boolean;
}
