import ts from "typescript";
/**
 * Check if our class extends the main Store class
 * Ex:
 *
 * export class MyStore extends Store<MyStore, IMyStoreState>
 *
 * @param {ts.ClassDeclaration} classDeclaration
 * @returns {boolean | undefined}
 */
export declare function extendsStore(classDeclaration: ts.ClassDeclaration): boolean;
/**
 * Check if our class member is the:
 * `public static vueBinding = 'x';` statement
 *
 * If it is, return true & the value of this property
 *
 * @param {ts.ClassElement} member
 * @returns {[is: boolean, binding: string]}
 */
export declare function isVueBinding(member: ts.ClassElement): [is: boolean, binding: string];
export declare function isStateGetterNode(member: ts.ClassElement): [is: boolean, obj: ts.ObjectLiteralExpression];
