"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isExportConst = void 0;
const typescript_1 = __importDefault(require("typescript"));
function isExportConst(statement) {
    var _a, _b, _c;
    if (!typescript_1.default.isVariableStatement(statement))
        return [false, undefined];
    if (!((_a = statement.modifiers) === null || _a === void 0 ? void 0 : _a.some(m => m.kind === typescript_1.default.SyntaxKind.ExportKeyword)))
        return [false, undefined];
    if (!((_c = (_b = statement === null || statement === void 0 ? void 0 : statement.declarationList) === null || _b === void 0 ? void 0 : _b.declarations) === null || _c === void 0 ? void 0 : _c.length))
        return [false, undefined];
    const declaration = statement.declarationList.declarations[0];
    if (!typescript_1.default.isIdentifier(declaration.name))
        return [false, undefined];
    return [true, declaration.name.text];
}
exports.isExportConst = isExportConst;
//# sourceMappingURL=Exports.js.map