import ts from "typescript";
export declare type SignatureMetaParamInfo = {
    name: string;
    type: string;
    defaultValue: string;
};
export declare type SignatureMetaDecoratorInfo = {
    name: string;
    parameters: {
        name: string;
        value: string;
    }[];
};
export declare type SignatureMetaInfo = {
    name: string;
    parameters: SignatureMetaParamInfo[];
};
export declare function extractDecoratorsFromSignature(method: ts.MethodDeclaration, validatorFunc?: (decorator: ts.Decorator, info: SignatureMetaDecoratorInfo) => boolean): SignatureMetaDecoratorInfo[];
export declare function extractDefaultValue(parameter: ts.Symbol): string | undefined;
export declare function extractSignatureMeta(method: ts.MethodDeclaration): SignatureMetaInfo;
