"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TS = void 0;
const typescript_1 = __importDefault(require("typescript"));
const PluginConfig_1 = require("./PluginConfig");
const Timed_1 = require("./Utils/Timed");
class TSInstance {
    constructor() {
        Object.defineProperty(this, "program", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "compilerHost", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "printer", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "typeChecker", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
    }
    getTsConfObj() {
        return Object.assign({}, PluginConfig_1.PluginConfig.tsConfig.options, {
            types: [],
            typeRoots: [],
            lib: [],
        });
    }
    setup() {
        Timed_1.Timed.start('ts.setup');
        this.compilerHost = typescript_1.default.createCompilerHost(this.getTsConfObj());
        this.program = typescript_1.default.createProgram(PluginConfig_1.PluginConfig.storeFilePaths, this.getTsConfObj(), this.compilerHost);
        this.printer = typescript_1.default.createPrinter({ newLine: typescript_1.default.NewLineKind.LineFeed });
        this.typeChecker = this.program.getTypeChecker();
        Timed_1.Timed.end('ts.setup');
    }
    rebuild() {
        Timed_1.Timed.start('ts.rebuild');
        this.setup();
        Timed_1.Timed.end('ts.rebuild');
    }
}
exports.TS = new TSInstance();
//# sourceMappingURL=TS.js.map